<%--****************************************************************************
Copyright (c) 2000 Oracle Corporation

File        : lovpageFrame.jsp

Notes       :

Open Issues :

$REVISION_HISTORY$
07-mar-2003   Jan Kettenis
  1.4         Moved JavaScript functions to lovLib.js and created
              callDoAccept()
06-mar-2003   Steven Davelaar
  1.3         Pass lov name through targetGroup parameter instead of PageId
              Set PageId to pageId passed in
09-jul-2002   Peter Ebell
  1.2         Changed "lovpage.LOVform" to "lovpage.document.LOVForm" for
              compatibility with NS4
02-jul-2002   Steven Davelaar
  1.1         prefixed MarlinCore.js path with request.contextPath
31-oct-2001   Peter Ebell
  1.0         Initial creation.

******************************************************************************/
/*
$ADD_TO_REVISION_HISTORY
$
--%>
<%@ page import='java.net.URLEncoder'%>

<%
String url = request.getParameter("destination");
// destination might contain request params, that should be removed from url
// this is the case when clicking on the download tab, which includes PageId
// parameter. This solves issue 12539
int requestParamStart = url.lastIndexOf("?");
if (requestParamStart > 0)
{
  url = url.substring(0,requestParamStart);
}

String lov = request.getParameter("lov");
String pageId = request.getParameter("pageId");
url += "?targetGroup="+lov+"&PageId="+pageId;

if (pageId==null)
{
  System.err.println("pageId parameter should be included in call to lovpageframe!");
}

String displayAttr = request.getParameter("displayAttr");
String text = request.getParameter("text");
String valueAttr = request.getParameter("valueAttr");
String title = request.getParameter("title");


%>

<html>
  <head>
    <title><%= title %></title>
    <script type="text/javascript"
            language="JavaScript"
            src="<%= request.getContextPath() %>/cabo/jsLibs/MarlinCore.js">
    </script>
    <script type="text/javascript"
            language="JavaScript"
            src="<%= request.getContextPath() %>/jheadstart/lovLib.js">
    </script>
    <script type="text/javascript" language="JavaScript">
      /**
       * callDoAccept calls the actual function doAccept() that resides in lovLib.js
       * @return: return of doAccept()
       */
      function callDoAccept()
      {
        return doAccept("lovForm", "lovTable", "<%=valueAttr%>", "<%=displayAttr%>");
      } // callDoAccept
    </script>
  </head>
  <frameset rows="100%,*"
            border="0"
            onunload="_checkUnload(event)">
    <frame src="<%= url %>"
           name="lovpage">
  </frameset>
</html>


